Subject: Re: [Sipping] Sipdev, incoming call alert (ring signal equivalents)

From: Michael Hammer <[email-masked]>
Date: Mon, 30 Jun 2003 14:46:37 -0400

Gunnar,

In writing this requirement, if you are going to detail possible solutions, 
could you also add the possibility that a SIP INVITE message could be 
forked to separate devices providing the enhanced alerting (visual or 
louder audio) over the SIP device's existing data networking environment 
(Wired LAN, Bluetooth, Wi-Fi, etc).  Thus the phone device solution may be 
software-oriented and re-using hardware that may be separately located on a 
home LAN.

Thanks.
Mike

At 06:55 PM 6/23/2003 +0200, =?us-ascii?Q?Gunnar_Hellstrom?= wrote:
>In the discussion about the sipdev spec,
>
>http://www.ietf.org/internet-drafts/draft-sinnreich-sipdev-req-01.txt , I
>had earlier got positive reactions on a proposal:
>
>In 4.9 Ringer Behaviour  : add the section below for the
>purpose of people in the garden, in noisy
>locations, and for the use by deaf, hearing impaired, deaf-blind people.
>
>"SIP Telephony devices MUST provide an external interface to
>an external alerting system."
>
>I cannot find much from that proposal in the new wording, so I repeat the
>proposal a bit more elaborated:
>
>Such external interfaces were normal in the PSTN era. It was easy to buy an
>extra ringer to place in the garden or in the garage. It was easy to find
>strong flashing light alerters to place in the factory.
>
>Such features must be remembered and available also in the SIP era. In PSTN,
>the alerters were connected directly to the phone network. Now, it is
>instead the SIP phone itself that knows if it is called. Therefore it must
>be specified in the SIP device spec.
>
>Currently there are two kinds of electrical interfaces to alerting systems.
>
>Both are simple two wire interfaces.
>
>One is resistance oriented. It has a high resistance ( 1 Mohm) until the
>alert is wanted. Then the resistance is low ( below 50 ohm ). It can sustain
>a voltage of at least 50 V in the inactivated state, and a current of 200 mA
>in the activated state.
>
>The other is voltage oriented. A voltage over the interface triggers the
>alerting. 12 V direct or alternating is common.
>
>Since both usually are available on alerting systems, I suggest that it can
>be sufficient to provide the resistance oriented one on SIP phones.
>
>I would also suggest an extension with a Bluetooth interface. Using the
>serial port profile, and giving an AT command response "RING" as the basic
>standard. It might be suitable to have extensions from this basic version
>into variants where you can specify some characteristics of the alert.
>
>So, my proposal is to change from:
>.....................................Current
>writing..........................................
>4.9 Ringer Behavior
>
>    The manner in which a user is alerted to an incoming call (visually,
>    audibly or possibly both) MAY be used by the device. This includes
>    the different volumes and MAY point to a file that contains the
>    melody for the ringer alert.
>
>    Ringer sound files MAY be specified for the following types of
>    incoming calls normal, high priority, internal and external.
>
>    Different ringer sound files MAY also be associated with different
>    lines.
>
>    The location of a call MAY also be indicated. This allows using the
>    phone by hearing-impaired or in noisy environments where external
>    speakers are used to render the sound. The location of the call is
>    also useful for paging by speakerphones.
>:::::::::::::::::::End of current
>writing:::::::::::::::::::::::::::::::::::::::::::::::::::::::
>
>To:
>::::::::::::::::::New
>proposal:::::::::::::::::::::::::::::::::::::::::::::::
>4.9 Ringer Behavior
>
>    The manner in which a user is alerted to an incoming call (visually,
>    audibly or possibly both) MAY be configured in the device. This includes
>    different volumes and the configuration MAY point to a file that contains
>a
>    melody for the ringer alert.
>
>    Ringer sound files MAY be specified for the following types of
>    incoming calls: normal, high priority, internal and external.
>
>    Different ringer sound files MAY also be associated with different
>    lines.
>
>    The location of a call MAY also be indicated. This allows using the
>    phone by hearing-impaired or in noisy environments where external
>    speakers are used to render the sound. The location of the call is
>    also useful for paging by speakerphones.
>
>    SIP Telephony devices MUST provide an external interface to
>    an external alerting system. This allows free positioning and selection
>of an alerting
>    system that may be visual, audible or tactile or any combination of these
>modes.
>    An external interface MAY be a two-pole electrical interface offering
>    low resistance (<50 ohm) during ring signals, and high resistance ( > 1
>Mohm ) between
>    ring indications.
>    It MAY also be a Bluetooth inteface with the serial profile sending the
>"RING"
>    message at each ring signal.
>-------------------------------------End of modified
>proposal------------------------------
>
>
>Agree?
>
>
>Gunnar Hellstrom
>-------------------------------------------
>Gunnar Hellstrom, Omnitor, Renathvagen 2
>SE 121 37 Johanneshov, SWEDEN
>Tel: +46 8 556 002 03  Mob: +46 708204288
>e-mail: [email-masked]
>web: www.omnitor.se
>
>
>
>
>_______________________________________________
>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>This list is for NEW development of the application of SIP
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments of core SIP

---

From: Gunnar Hellstrom <[email-masked]>
Date: Mon, 30 Jun 2003 07:04:14 +0200

Henry,
It is not the external alerting devices themselves that are part of the
spec, it is just the signal to them from the sip device.

The need is valid in business as well as other environments.

A question:
There is a sentence in the original sipdev-01 spec about the location of the
call that I do not understand, please explain.
">    The location of a call MAY also be indicated."

Further answers below.

Gunnar

> -----Ursprungligt meddelande-----
> Fran: Henry Sinnreich [mailto:[email-masked]]
> Skickat: den 30 juni 2003 00:42
> Till: 'Gunnar Hellstrom'; 'Sipping@Ietf. Org'; [email-masked]; 'Mike
> Spanner'; 'James Hamlin'; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; 'Guido Gybels'; [email-masked]; 'Judy
> Harkins'; 'Trefor Davies'; 'Henry Sinnreich'
> Kopia: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Amne: RE: [Sipping] Sipdev, incoming call alert (ring signal
> equivalents)
>
>
> > Such external interfaces were normal in the PSTN era. It was
> > easy to buy an extra ringer to place in the garden or in the
> > garage. It was easy to find strong flashing light alerters to
> > place in the factory.
>
> There are now other options, such as cordless phone, alerting devices,
> 802.11 SIP phones and one imagine also alerting devices that are optical
> and wireless.
Yes, that is what I proposed to require - interfaces to external alerting
devices, wired or wireless.
>
> -Do you really want to propagate the those from the PSTN era?
Yes, the human need to be alerted on calls persists.
>
> -Should this really be specified for all SIP phones?
Yes, you never know what installation environment they end up in.
>
> -What about the SIP business phones? (Related I-D)
Same need.
> Henry

> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > On Behalf Of Gunnar Hellstrom
> > Sent: Monday, June 23, 2003 11:56 AM
> > To: 'Sipping@Ietf. Org'; [email-masked]; 'Mike Spanner';
> > 'James Hamlin'; [email-masked];
> > [email-masked]; [email-masked];
> > [email-masked]; 'Guido Gybels';
> > [email-masked]; 'Judy Harkins'; 'Trefor Davies'; Henry Sinnreich
> > Cc: [email-masked]; [email-masked];
> > [email-masked]; [email-masked]
> > Subject: [Sipping] Sipdev, incoming call alert (ring signal
> > equivalents)
> >
> >
> > http://www.ietf.org/internet-drafts/draft-sinnreich-sipdev-req
> > -01.txt , I had earlier got positive reactions on a proposal:
> >
> > purpose of people in the garden, in noisy locations, and for
> > the use by deaf, hearing impaired, deaf-blind people.
> >
> > I cannot find much from that proposal in the new wording, so
> > I repeat the proposal a bit more elaborated:
> >
> > Such external interfaces were normal in the PSTN era. It was
> > easy to buy an extra ringer to place in the garden or in the
> > garage. It was easy to find strong flashing light alerters to
> > place in the factory.
> >
> > Such features must be remembered and available also in the
> > SIP era. In PSTN, the alerters were connected directly to the
> > phone network. Now, it is instead the SIP phone itself that
> > knows if it is called. Therefore it must be specified in the
> > SIP device spec.
> >
> > One is resistance oriented. It has a high resistance ( 1
> > Mohm) until the alert is wanted. Then the resistance is low (
> > below 50 ohm ). It can sustain a voltage of at least 50 V in
> > the inactivated state, and a current of 200 mA in the activated state.
> >
> > The other is voltage oriented. A voltage over the interface
> > triggers the alerting. 12 V direct or alternating is common.
> >
> > Since both usually are available on alerting systems, I
> > suggest that it can be sufficient to provide the resistance
> > oriented one on SIP phones.
> >
> > I would also suggest an extension with a Bluetooth interface.
> > Using the serial port profile, and giving an AT command
> > response "RING" as the basic standard. It might be suitable
> > to have extensions from this basic version into variants
> > where you can specify some characteristics of the alert.
> >
> >    different volumes and the configuration MAY point to a
> > file that contains a
> >    an external alerting system. This allows free positioning
> > and selection of an alerting
> >    system that may be visual, audible or tactile or any
> > combination of these modes.
> >    low resistance (<50 ohm) during ring signals, and high
> > resistance ( > 1 Mohm ) between
> >    ring indications.
> >    It MAY also be a Bluetooth inteface with the serial
> > profile sending the "RING"
> > Use [email-masked] for questions on current
> > sip Use [email-masked] for new developments of core SIP
> >
>
>

---

From: Henry Sinnreich <[email-masked]>
Date: Sun, 29 Jun 2003 17:41:42 -0500

Henry

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 01 Jul 2003 10:26:39 -0400

There are pure SIP approaches for external ringing. For example, we have 
built an X-10-to/from-SIP gateway that is event-triggered. Thus, you can 
have the ringer device subscribe to call state and ring, flash, or, if 
you like, start the sprinkler if the phone rings. (The latter mechanism 
is particularly appropriate when the callee is lounging on their deck.) 
This requires no additional end device capability, but is clearly a bit 
more complicated than a wire, but also a lot more flexible, since you 
are not constrained by distance. (I'm not affiliated with X10.com; there 
are multiple vendors building equipment to that 'standard.')